Bug 309370 - konqueror crashed on adding a bookmark
Summary: konqueror crashed on adding a bookmark
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Unclassified
Component: bookmarks (show other bugs)
Version: 4.9.2
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
: 298410 317566 322178 323421 333105 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-11-01 13:53 UTC by kavol
Modified: 2014-04-06 07:08 UTC (History)
8 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.11.1


Attachments
New crash information added by DrKonqi (8.51 KB, text/plain)
2012-11-12 08:10 UTC, kavol
Details
New crash information added by DrKonqi (11.84 KB, text/plain)
2013-02-13 11:43 UTC, Torsten Eichstädt
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kavol 2012-11-01 13:53:25 UTC
Application: konqueror (4.9.2)
KDE Platform Version: 4.9.2
Qt Version: 4.8.2
Operating System: Linux 3.6.3-1.fc17.x86_64 x86_64
Distribution (Platform): Fedora RPMs

-- Information about the crash:
- What I was doing when the application crashed:
I've just installed fresh system. When trying to add a bookmark for the first time, Konqueror crashed right after clicking to add bookmark.

Note, I think this may be a duplicate of bug #298410 but that one occurs on a slightly different conditions and it is closed, so rather reporting as new.

-- Backtrace:
Application: Konqueror (kdeinit4), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
82	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
[Current thread is 1 (Thread 0x7f6da6a96880 (LWP 2096))]

Thread 13 (Thread 0x7f6d82012700 (LWP 2097)):
#0  0x00007f6da50d40ad in read () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007f6d9fc6fcdf in read (__nbytes=16, __buf=0x7f6d82011b30, __fd=<optimized out>) at /usr/include/bits/unistd.h:45
#2  g_wakeup_acknowledge (wakeup=0xfa88c0) at gwakeup.c:212
#3  0x00007f6d9fc34679 in g_main_context_check (context=context@entry=0x7f6d7c0009a0, max_priority=2147483647, fds=fds@entry=0x7f6d7c002a50, n_fds=n_fds@entry=1) at gmain.c:2980
#4  0x00007f6d9fc34a92 in g_main_context_iterate (context=context@entry=0x7f6d7c0009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3143
#5  0x00007f6d9fc34c14 in g_main_context_iteration (context=0x7f6d7c0009a0, may_block=1) at gmain.c:3207
#6  0x00007f6da54864e6 in QEventDispatcherGlib::processEvents (this=0x7f6d7c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0x00007f6da545710f in QEventLoop::processEvents (this=this@entry=0x7f6d82011cf0, flags=...) at kernel/qeventloop.cpp:149
#8  0x00007f6da5457398 in QEventLoop::exec (this=0x7f6d82011cf0, flags=...) at kernel/qeventloop.cpp:204
#9  0x00007f6da535a650 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#10 0x00007f6d94ad968e in KIO::NameLookUpThread::run (this=0x111a0b0) at /usr/src/debug/kdelibs-4.9.2/kio/kio/hostinfo.cpp:226
#11 0x00007f6da535d5eb in QThreadPrivate::start (arg=0x111a0b0) at thread/qthread_unix.cpp:307
#12 0x00007f6da50cdd14 in start_thread (arg=0x7f6d82012700) at pthread_create.c:309
#13 0x00007f6da36f467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 12 (Thread 0x7f6d54f36700 (LWP 2903)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:166
#1  0x00007f6d914f077d in WTF::TCMalloc_PageHeap::scavengerThread (this=0x7f6d91eda980) at wtf/FastMalloc.cpp:2495
#2  0x00007f6d914f0889 in WTF::TCMalloc_PageHeap::runScavengerThread (context=<optimized out>) at wtf/FastMalloc.cpp:1618
#3  0x00007f6da50cdd14 in start_thread (arg=0x7f6d54f36700) at pthread_create.c:309
#4  0x00007f6da36f467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 11 (Thread 0x7f6d59e15700 (LWP 2905)):
#0  0x00007f6da36ebbcf in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f6d9fc34af4 in g_main_context_poll (n_fds=1, fds=0x7f6d60002860, timeout=9174, context=0x7f6d60004b00, priority=<optimized out>) at gmain.c:3440
#2  g_main_context_iterate (context=context@entry=0x7f6d60004b00, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3141
#3  0x00007f6d9fc34c14 in g_main_context_iteration (context=0x7f6d60004b00, may_block=1) at gmain.c:3207
#4  0x00007f6da54864e6 in QEventDispatcherGlib::processEvents (this=0x7f6d600073e0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007f6da545710f in QEventLoop::processEvents (this=this@entry=0x7f6d59e14d20, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f6da5457398 in QEventLoop::exec (this=0x7f6d59e14d20, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007f6da535a650 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#8  0x00007f6da535d5eb in QThreadPrivate::start (arg=0x57da100) at thread/qthread_unix.cpp:307
#9  0x00007f6da50cdd14 in start_thread (arg=0x7f6d59e15700) at pthread_create.c:309
#10 0x00007f6da36f467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 10 (Thread 0x7f6d6ffff700 (LWP 2972)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:166
#1  0x00007f6d9fc70bff in g_cond_wait (cond=0x7f6d40008c70, mutex=<optimized out>) at gthread-posix.c:746
#2  0x00007f6d8c8a6f33 in gst_task_func (task=0x79e07a0) at gsttask.c:312
#3  0x00007f6d9fc57c92 in g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:309
#4  0x00007f6d9fc57495 in g_thread_proxy (data=0x7f6d30003a30) at gthread.c:801
#5  0x00007f6da50cdd14 in start_thread (arg=0x7f6d6ffff700) at pthread_create.c:309
#6  0x00007f6da36f467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 9 (Thread 0x7f6d48a7c700 (LWP 2974)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:166
#1  0x00007f6d9fc70bff in g_cond_wait (cond=0x7f6d40005db0, mutex=<optimized out>) at gthread-posix.c:746
#2  0x00007f6d8c8a6f33 in gst_task_func (task=0x7f6d3c009210) at gsttask.c:312
#3  0x00007f6d9fc57c92 in g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:309
#4  0x00007f6d9fc57495 in g_thread_proxy (data=0x7f6d40003800) at gthread.c:801
#5  0x00007f6da50cdd14 in start_thread (arg=0x7f6d48a7c700) at pthread_create.c:309
#6  0x00007f6da36f467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 8 (Thread 0x7f6d56f3a700 (LWP 2975)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:166
#1  0x00007f6d9fc70bff in g_cond_wait (cond=0x7f6d2c009b30, mutex=<optimized out>) at gthread-posix.c:746
#2  0x00007f6d8cb4920d in gst_data_queue_pop (queue=0x7f6d3c01ae80, item=item@entry=0x7f6d56f39c48) at gstdataqueue.c:502
#3  0x00007f6d6c8d2e94 in gst_multi_queue_loop (pad=<optimized out>) at gstmultiqueue.c:1200
#4  0x00007f6d8c8a6d64 in gst_task_func (task=0x79e0ea0) at gsttask.c:327
#5  0x00007f6d9fc57c92 in g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:309
#6  0x00007f6d9fc57495 in g_thread_proxy (data=0x7f6d500029e0) at gthread.c:801
#7  0x00007f6da50cdd14 in start_thread (arg=0x7f6d56f3a700) at pthread_create.c:309
#8  0x00007f6da36f467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 7 (Thread 0x7f6d56739700 (LWP 2976)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:166
#1  0x00007f6d9fc70bff in g_cond_wait (cond=0x7f6d2c0128b0, mutex=<optimized out>) at gthread-posix.c:746
#2  0x00007f6d8cb4920d in gst_data_queue_pop (queue=0x75e2540, item=item@entry=0x7f6d56738c48) at gstdataqueue.c:502
#3  0x00007f6d6c8d2e94 in gst_multi_queue_loop (pad=<optimized out>) at gstmultiqueue.c:1200
#4  0x00007f6d8c8a6d64 in gst_task_func (task=0x7f6d3c009a10) at gsttask.c:327
#5  0x00007f6d9fc57c92 in g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:309
#6  0x00007f6d9fc57495 in g_thread_proxy (data=0x7f6d6401e800) at gthread.c:801
#7  0x00007f6da50cdd14 in start_thread (arg=0x7f6d56739700) at pthread_create.c:309
#8  0x00007f6da36f467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 6 (Thread 0x7f6d55f38700 (LWP 2977)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:166
#1  0x00007f6d9fc70bff in g_cond_wait (cond=0x7f6d2c031130, mutex=<optimized out>) at gthread-posix.c:746
#2  0x00007f6d8c8a6f33 in gst_task_func (task=0x7f6d3c009710) at gsttask.c:312
#3  0x00007f6d9fc57c92 in g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:309
#4  0x00007f6d9fc57495 in g_thread_proxy (data=0x7f6d64029c50) at gthread.c:801
#5  0x00007f6da50cdd14 in start_thread (arg=0x7f6d55f38700) at pthread_create.c:309
#6  0x00007f6da36f467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 5 (Thread 0x7f6d4ffff700 (LWP 2978)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:166
#1  0x00007f6d9fc70bff in g_cond_wait (cond=0x4625e10, mutex=<optimized out>) at gthread-posix.c:746
#2  0x00007f6d8c8a6f33 in gst_task_func (task=0x7f6d3c009610) at gsttask.c:312
#3  0x00007f6d9fc57c92 in g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:309
#4  0x00007f6d9fc57495 in g_thread_proxy (data=0x7f6d64029cf0) at gthread.c:801
#5  0x00007f6da50cdd14 in start_thread (arg=0x7f6d4ffff700) at pthread_create.c:309
#6  0x00007f6da36f467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 4 (Thread 0x7f6d4f7fe700 (LWP 2979)):
#0  0x00007f6da36ebbcf in __GI___poll (fds=fds@entry=0x7f6d44003280, nfds=nfds@entry=1, timeout=timeout@entry=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f6d8b869f4f in poll_func (ufds=0x7f6d44003280, nfds=1, timeout=-1, userdata=0x7f6d3405d360) at pulse/thread-mainloop.c:69
#2  0x00007f6d8b85b4cc in pa_mainloop_poll (m=m@entry=0x7f6d3405dc00) at pulse/mainloop.c:875
#3  0x00007f6d8b85bb29 in pa_mainloop_iterate (m=m@entry=0x7f6d3405dc00, block=block@entry=1, retval=retval@entry=0x0) at pulse/mainloop.c:957
#4  0x00007f6d8b85bbe0 in pa_mainloop_run (m=0x7f6d3405dc00, retval=retval@entry=0x0) at pulse/mainloop.c:975
#5  0x00007f6d8b869eff in thread (userdata=0x7f6d34007070) at pulse/thread-mainloop.c:88
#6  0x00007f6d8a8ed343 in internal_thread_func (userdata=0x7f6d34007e10) at pulsecore/thread-posix.c:83
#7  0x00007f6da50cdd14 in start_thread (arg=0x7f6d4f7fe700) at pthread_create.c:309
#8  0x00007f6da36f467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 3 (Thread 0x7f6d4a27f700 (LWP 2980)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:166
#1  0x00007f6d9fc70bff in g_cond_wait (cond=0x4475130, mutex=<optimized out>) at gthread-posix.c:746
#2  0x00007f6d8c8a6f33 in gst_task_func (task=0x7f6d3c009010) at gsttask.c:312
#3  0x00007f6d9fc57c92 in g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:309
#4  0x00007f6d9fc57495 in g_thread_proxy (data=0x7f6d64029de0) at gthread.c:801
#5  0x00007f6da50cdd14 in start_thread (arg=0x7f6d4a27f700) at pthread_create.c:309
#6  0x00007f6da36f467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 2 (Thread 0x7f6d4927d700 (LWP 2989)):
#0  0x00007f6da36ebbcf in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f6d9fc34af4 in g_main_context_poll (n_fds=1, fds=0x7f6d38002030, timeout=-1, context=0x7f6d38006100, priority=<optimized out>) at gmain.c:3440
#2  g_main_context_iterate (context=context@entry=0x7f6d38006100, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3141
#3  0x00007f6d9fc34c14 in g_main_context_iteration (context=0x7f6d38006100, may_block=1) at gmain.c:3207
#4  0x00007f6da54864e6 in QEventDispatcherGlib::processEvents (this=0x7f6d380008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007f6da545710f in QEventLoop::processEvents (this=this@entry=0x7f6d4927ccf0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f6da5457398 in QEventLoop::exec (this=0x7f6d4927ccf0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007f6da535a650 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#8  0x00007f6da5437b2f in QInotifyFileSystemWatcherEngine::run (this=0x3904a00) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f6da535d5eb in QThreadPrivate::start (arg=0x3904a00) at thread/qthread_unix.cpp:307
#10 0x00007f6da50cdd14 in start_thread (arg=0x7f6d4927d700) at pthread_create.c:309
#11 0x00007f6da36f467d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7f6da6a96880 (LWP 2096)):
[KCrash Handler]
#6  data (this=<optimized out>) at ../../src/corelib/tools/qscopedpointer.h:135
#7  qGetPtrHelper<QScopedPointer<QObjectData> > (p=...) at ../../src/corelib/global/qglobal.h:2434
#8  d_func (this=<optimized out>) at ../../src/gui/kernel/qwidget.h:150
#9  QWidget::insertAction (this=0x0, before=0x0, action=0x93ee0b0) at kernel/qwidget.cpp:3281
#10 0x00007f6d8842594f in fillBookmarkBar (parent=..., this=0x141cc30) at /usr/src/debug/kde-baseapps-4.9.2/konqueror/src/konqbookmarkbar.cpp:192
#11 KBookmarkBar::fillBookmarkBar (this=0x141cc30, parent=...) at /usr/src/debug/kde-baseapps-4.9.2/konqueror/src/konqbookmarkbar.cpp:167
#12 0x00007f6d88426073 in KBookmarkBar::slotBookmarksChanged (this=0x141cc30, group=...) at /usr/src/debug/kde-baseapps-4.9.2/konqueror/src/konqbookmarkbar.cpp:139
#13 0x00007f6da546eb6f in QMetaObject::activate (sender=0x111d8f0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff74873c50) at kernel/qobject.cpp:3547
#14 0x00007f6d94aee56a in KBookmarkManager::changed (this=this@entry=0x111d8f0, _t1=..., _t2=...) at /usr/src/debug/kdelibs-4.9.2/x86_64-redhat-linux-gnu/kio/kbookmarkmanager.moc:152
#15 0x00007f6d94aefbb3 in KBookmarkManager::notifyChanged (this=0x111d8f0, groupAddress=..., msg=...) at /usr/src/debug/kdelibs-4.9.2/kio/bookmarks/kbookmarkmanager.cc:600
#16 0x00007f6d94af154d in qt_static_metacall (_a=<optimized out>, _id=<optimized out>, _o=<optimized out>, _c=<optimized out>) at /usr/src/debug/kdelibs-4.9.2/x86_64-redhat-linux-gnu/kio/kbookmarkmanager.moc:81
#17 KBookmarkManager::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /usr/src/debug/kdelibs-4.9.2/x86_64-redhat-linux-gnu/kio/kbookmarkmanager.moc:66
#18 0x00007f6d94af15bb in KBookmarkManager::qt_metacall (this=0x111d8f0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff74873ec0) at /usr/src/debug/kdelibs-4.9.2/x86_64-redhat-linux-gnu/kio/kbookmarkmanager.moc:122
#19 0x00007f6da57d1e53 in QDBusConnectionPrivate::deliverCall (this=0x1011f10, object=0x111d8f0, msg=..., metaTypes=..., slotIdx=13) at qdbusintegrator.cpp:947
#20 0x00007f6da546ccbe in QObject::event (this=0x111d8f0, e=<optimized out>) at kernel/qobject.cpp:1195
#21 0x00007f6da45ef37c in QApplicationPrivate::notify_helper (this=this@entry=0xfa73b0, receiver=receiver@entry=0x111d8f0, e=e@entry=0xe00bff0) at kernel/qapplication.cpp:4551
#22 0x00007f6da45f37fa in QApplication::notify (this=0x7fff74874b40, receiver=0x111d8f0, e=0xe00bff0) at kernel/qapplication.cpp:4412
#23 0x00007f6da647b8a6 in KApplication::notify (this=0x7fff74874b40, receiver=0x111d8f0, event=0xe00bff0) at /usr/src/debug/kdelibs-4.9.2/kdeui/kernel/kapplication.cpp:311
#24 0x00007f6da54583be in QCoreApplication::notifyInternal (this=0x7fff74874b40, receiver=receiver@entry=0x111d8f0, event=event@entry=0xe00bff0) at kernel/qcoreapplication.cpp:915
#25 0x00007f6da545be71 in sendEvent (event=0xe00bff0, receiver=0x111d8f0) at kernel/qcoreapplication.h:231
#26 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0xee12d0) at kernel/qcoreapplication.cpp:1539
#27 0x00007f6da5486333 in sendPostedEvents () at kernel/qcoreapplication.h:236
#28 postEventSourceDispatch (s=s@entry=0xfa8460) at kernel/qeventdispatcher_glib.cpp:279
#29 0x00007f6d9fc34825 in g_main_dispatch (context=0xfa8900) at gmain.c:2539
#30 g_main_context_dispatch (context=context@entry=0xfa8900) at gmain.c:3075
#31 0x00007f6d9fc34b58 in g_main_context_iterate (context=context@entry=0xfa8900, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3146
#32 0x00007f6d9fc34c14 in g_main_context_iteration (context=0xfa8900, may_block=1) at gmain.c:3207
#33 0x00007f6da54864c6 in QEventDispatcherGlib::processEvents (this=0xee37f0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#34 0x00007f6da468f1ae in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:207
#35 0x00007f6da545710f in QEventLoop::processEvents (this=this@entry=0x7fff74874840, flags=...) at kernel/qeventloop.cpp:149
#36 0x00007f6da5457398 in QEventLoop::exec (this=0x7fff74874840, flags=...) at kernel/qeventloop.cpp:204
#37 0x00007f6da545c188 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#38 0x00007f6d8843c3b2 in kdemain (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/kde-baseapps-4.9.2/konqueror/src/konqmain.cpp:227
#39 0x00000000004081c6 in launch (argc=argc@entry=4, _name=_name@entry=0xf8b0a8 "konqueror", args=0xf8b0f9 "/home/kvolny", args@entry=0xf8b0b2 "-mimetype", cwd=cwd@entry=0xf8b0f9 "/home/kvolny", envc=envc@entry=43, envs=<optimized out>, envs@entry=0xf8b10e "XDG_VTNR=2", reset_env=true, tty=tty@entry=0x0, avoid_loops=false, startup_id_str=startup_id_str@entry=0xf8b713 "kvolny.brq.redhat.com;1351771359;535596;1795_TIME0") at /usr/src/debug/kdelibs-4.9.2/kinit/kinit.cpp:726
#40 0x000000000040904b in handle_launcher_request (sock=sock@entry=29, who=<optimized out>) at /usr/src/debug/kdelibs-4.9.2/kinit/kinit.cpp:1218
#41 0x0000000000409640 in handle_requests (waitForPid=waitForPid@entry=0) at /usr/src/debug/kdelibs-4.9.2/kinit/kinit.cpp:1402
#42 0x0000000000405297 in main (argc=4, argv=<optimized out>, envp=0x7fff74875a80) at /usr/src/debug/kdelibs-4.9.2/kinit/kinit.cpp:1899

Possible duplicates by query: bug 307546, bug 298410.

Reported using DrKonqi
Comment 1 kavol 2012-11-01 13:55:02 UTC
note that I've just started Konqueror again and I see that the bookmark got added
Comment 2 Dawit Alemayehu 2012-11-10 19:07:00 UTC
Cannot reproduce. I tried clicking Bookmarks->Add Bookmark (CTRL+B) as well as the clicking on the context menu "Bookmark This Page". Can you reliably reproduce this bug ?
Comment 3 kavol 2012-11-12 08:10:15 UTC
Created attachment 75194 [details]
New crash information added by DrKonqi

konqueror (4.9.2) on KDE Platform 4.9.2 using Qt 4.8.3

- What I was doing when the application crashed:

ok, I tried to remember a few more things I've done, and obviously it reproduces ...

what I have done now:

1) installed Fedora 17 in a qemu virtual machine
(Czech locale, minimal install, X and KDE groups selected)
2) after first login, started konqueror
3) modified toolbars to my preference
a) removed search bar
(note that the search bar actually cannot be removed, you just can remove the search field from the search bar, leaving the search bar completely empty)
b) added "Umístění" ("Location"?) into location bar just before the location input field)
4) opened a page (this bugreport in this case)
5) chosen to bookmark the page from the menu ... KABOOM!

... note that it may be possible to simplify the steps somehow, didn't have the time to try yet as I've been waiting for ages for debuginfo installation in the virtual machine

-- Backtrace (Reduced):
#5  data (this=<optimized out>) at ../../src/corelib/tools/qscopedpointer.h:135
[...]
#8  QWidget::insertAction (this=0x0, before=0x0, action=0x2c442b0) at kernel/qwidget.cpp:3281
[...]
#12 0x00007fd888ac656a in KBookmarkManager::changed(QString const&, QString const&) () from /usr/lib64/libkio.so.5
#13 0x00007fd888ac7bb3 in KBookmarkManager::notifyChanged(QString const&, QDBusMessage const&) () from /usr/lib64/libkio.so.5
[...]
#15 0x00007fd888ac95bb in KBookmarkManager::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/libkio.so.5
Comment 4 kavol 2012-11-12 10:57:01 UTC
see comment #3
Comment 5 Torsten Eichstädt 2013-02-13 11:43:04 UTC
Created attachment 77245 [details]
New crash information added by DrKonqi

konqueror (4.10.00) on KDE Platform 4.10.00 using Qt 4.8.2

- What I was doing when the application crashed:

Added a new sub folder to add the bookmark in and clicked OK

-- Backtrace (Reduced):
#6  data (this=0x8) at ../../include/QtCore/../../src/corelib/tools/qscopedpointer.h:135
[...]
#9  QWidget::insertAction (this=0x0, before=0x0, action=0x6e954d0) at kernel/qwidget.cpp:3281
#10 0x00007f8012643d2d in fillBookmarkBar (parent=..., this=0x7494510) at ../../../konqueror/src/konqbookmarkbar.cpp:200
#11 KBookmarkBar::fillBookmarkBar (this=0x7494510, parent=...) at ../../../konqueror/src/konqbookmarkbar.cpp:167
#12 0x00007f8012644543 in KBookmarkBar::slotBookmarksChanged (this=0x7494510, group=...) at ../../../konqueror/src/konqbookmarkbar.cpp:144
Comment 6 Dawit Alemayehu 2013-02-14 03:27:20 UTC
*** Bug 298410 has been marked as a duplicate of this bug. ***
Comment 7 Jekyll Wu 2013-03-30 02:23:24 UTC
*** Bug 317566 has been marked as a duplicate of this bug. ***
Comment 8 Dawit Alemayehu 2013-05-26 19:26:53 UTC
(In reply to comment #3)
> Created attachment 75194 [details]
> New crash information added by DrKonqi
> 
> konqueror (4.9.2) on KDE Platform 4.9.2 using Qt 4.8.3
> 
> - What I was doing when the application crashed:
> 
> ok, I tried to remember a few more things I've done, and obviously it
> reproduces ...
> 
> what I have done now:
> 
> 1) installed Fedora 17 in a qemu virtual machine
> (Czech locale, minimal install, X and KDE groups selected)
> 2) after first login, started konqueror
> 3) modified toolbars to my preference
> a) removed search bar
> (note that the search bar actually cannot be removed, you just can remove
> the search field from the search bar, leaving the search bar completely
> empty)

This is not true. You can remove the "Search Bar" by simply unchecking "Settings->Configure Extensions->Search Bar".
Comment 9 kavol 2013-05-29 09:33:00 UTC
(In reply to comment #8)
> (In reply to comment #3)
> > (note that the search bar actually cannot be removed, you just can remove
> > the search field from the search bar, leaving the search bar completely
> > empty)
> 
> This is not true. You can remove the "Search Bar" by simply unchecking
> "Settings->Configure Extensions->Search Bar".

ahem, it seems we differ a bit in the logic behind this

there is an _extension_ which provides search _bar_

disabling an extension and removing a bar are two different actions

while one may argue that having the extension enabled without actually showing anything makes no sense, stil the bar provided by the extension should be configurable in the same way as any other bar in the UI (and it partly is - you can add/remove elements to/from that bar just like with any other toolbar, the only thing is that you just cannot hide that one particular bar in the same way as you can hide the main toolbar, the location bar etc. via Settings => Toolbars)
Comment 10 Jekyll Wu 2013-07-10 05:35:52 UTC
*** Bug 322178 has been marked as a duplicate of this bug. ***
Comment 11 Jekyll Wu 2013-08-12 17:21:41 UTC
*** Bug 323421 has been marked as a duplicate of this bug. ***
Comment 12 Dawit Alemayehu 2013-08-16 13:06:01 UTC
Git commit d1963e23ddfd64c4ffb18da419dc9c3f92300341 by Dawit Alemayehu.
Committed on 12/08/2013 at 23:31.
Pushed by adawit into branch 'KDE/4.11'.

Do not crash while importing/adding bookmarks.
REVIEW: 112042
FIXED-IN: 4.11.1

M  +9    -3    konqueror/src/konqbookmarkbar.cpp

http://commits.kde.org/kde-baseapps/d1963e23ddfd64c4ffb18da419dc9c3f92300341
Comment 13 kavol 2013-08-16 21:01:31 UTC
(In reply to comment #12)
> Git commit d1963e23ddfd64c4ffb18da419dc9c3f92300341 by Dawit Alemayehu.
...

thanks
Comment 14 Jekyll Wu 2014-04-06 07:06:43 UTC
*** Bug 333105 has been marked as a duplicate of this bug. ***